%global momorel 8

Summary: Common Lisp (ANSI CL) implementation
Name: clisp
Version: 2.48
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Development/Languages
# Source0: ftp://ftp.gnu.org/pub/gnu/%{name}/release/%{version}/%{name}-%{version}.tar.gz
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: clisp-2.48-disable-make-check.patch
URL: http://clisp.cons.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: readline-devel >= 5.0
BuildRequires: libsigsegv-devel >= 2.7
BuildRequires: ghostscript
BuildRequires: glibc-devel
BuildRequires: ffcall-devel
BuildRequires: ncurses-devel
BuildRequires: imake
BuildRequires: dbus-devel
BuildRequires: diffutils
BuildRequires: libfcgi-devel
BuildRequires: gdbm-devel
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libglade2-devel
BuildRequires: pcre-devel
BuildRequires: postgresql-devel
BuildRequires: zlib-devel

%description
Common Lisp is a high-level, all-purpose, object-oriented, dynamic
programming language.  GNU CLISP is a Common Lisp implementation by
Bruno Haible of Karlsruhe University and Michael Stoll of Munich
University, both in Germany.  It mostly supports the Lisp described in
the ANSI Common Lisp standard.  It runs on microcomputers (OS/2,
Windows NT/2000/XP, Windows 95/98/ME, Amiga 500-4000, Acorn RISC PC)
as well as on Unix workstations (Linux, SVR4, Sun4, DEC Alpha OSF,
HP-UX, BeOS, NeXTstep, SGI, AIX, Sun3 and others) and needs only 2 MB
of RAM.

It is Free Software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial proprietary applications
compiled with GNU CLISP.

The user interface comes in English, German, French, Spanish, Dutch,
Russian and Danish, and can be changed at run time.  GNU CLISP
includes an interpreter, a compiler, a debugger, CLOS, MOP, a foreign
language interface, sockets, i18n, fast bignums and more.  An X11
interface is available through CLX, Garnet, CLUE/CLIO.  GNU CLISP runs
Maxima, ACL2 and many other Common Lisp packages.

%prep
%setup -q 
%patch0 -p1 -b .disable-make-check
sed -i 's|http://www.lisp.org/HyperSpec/|http://www.lispworks.com/documentation/HyperSpec/|g' \
    doc/* src/*.d src/*.lisp

%build
%ifarch ppc ppc64
%define opt_flags "$RPM_OPT_FLAGS -DNO_GENERATIONAL_GC -DNO_MULTIMAP_FILE -DNO_SINGLEMAP"
ulimit -s unlimited
%else
%define opt_flags "$RPM_OPT_FLAGS"
%endif
# don't use %%configure
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --fsstnd=redhat \
            --hyperspec=http://www.lispworks.com/documentation/HyperSpec/ \
            --with-module=bindings/glibc \
            --with-module=clx/new-clx \
            --with-module=dbus \
            --with-module=fastcgi \
            --with-module=gdbm \
            --with-module=gtk2 \
            --with-module=i18n \
            --with-module=pcre \
            --with-module=postgresql \
            --with-module=rawsock \
            --with-module=regexp \
            --with-module=syscalls \
            --with-module=wildcard \
            --with-module=zlib \
            --with-readline \
            --cbc \
            build CFLAGS=%{opt_flags}

%install
rm -rf %{buildroot}
make -C build DESTDIR=%{buildroot} install
# still need to remove unwanted files... sigh.
rm -rf %{buildroot}%{_datadir}/doc/clisp*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYRIGHT GNU-GPL SUMMARY
%{_bindir}/%{name}
%{_libdir}/%{name}-%{version}
%{_mandir}/man1/%{name}.1*
%{_datadir}/emacs/site-lisp/*
%{_datadir}/vim/vimfiles/after/syntax/lisp.vim
%{_datadir}/locale/*/LC_MESSAGES/%{name}*.mo
%{_datadir}/aclocal/%{name}.m4

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.48-8m)
- full rebuild for mo7 release

* Thu Jul 29 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-7m)
- revert to 2.48
-- stumpwm does not work

* Thu Jul 15 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.49-1m)
- update 2.49

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.48-6m)
- rebuild against readline6

* Sat Nov 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-5m)
- rebuild against libsigsegv-2.7

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Nov  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-3m)
- disable make check because one test failure occurs during ffi test
  on i686

* Thu Nov  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-2m)
- enable some modules
- remove doc
- remove %%check section

* Tue Oct  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-1m)
- update to 2.48

* Sat Jan 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.47-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.47-2m)
- rebuild against rpm-4.6

* Wed Oct 29 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.47-1m)
- update to 2.47
- add some BuildRequires
- set specopt

* Sat Jul  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.46-2m)
- disable make check

* Sat Jul  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.46-1m)
- update 2.46

* Thu May 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-1m)
- update 2.45

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.44.1-1m)
- update 2.44.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.43-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.43-3m)
- %%NoSource -> NoSource

* Fri Feb  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.43-2m)
- add BuildRequires: ghostscript for /usr/bin/dvipdf
- add workaround for gcc43

* Thu Nov 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.43-1m)
- update to 2.43
- License: GPLv2

* Fri Nov  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.41a-1m)
- update to 2.41a

* Sat Aug 19 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.39-1m)
- update to 2.39
- revise %%description, %%doc, configure options

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.38-1m)
- update to 2.38
- add BuildRequires: libsigsegv-devel >= 2.2

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.35-2m)
- rebuild against readline-5.0

* Fri Sep 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.35-1m)
- update 2.35

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.33.2-2m)
- enable x86_64.

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33.2-1m)
- update to 2.33.2
- use %%NoSource

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.33-1m)
- version 2.33

* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-3m)
- force LANG=C.

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-2m)
- revised spec for enabling rpm 4.2.

* Sun Oct 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31-1m)
- update to 2.31

* Sat Nov  9 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.30-1m)
- initial import.
